Skip to navigation

Assign your driver to a trip

Transporter token. Assigns one of your drivers to a trip outsourced to you, before it starts. You can change the driver the same way until the trip starts. The trip status becomes 4 Dispatch and the ETAs are recalculated.

Authentication

AuthorizationBearer

Send Authorization: Bearer <token>. Company endpoints take the company API token from POST /api/v1/partners/login. /transporters endpoints take the transporter token from POST /api/v1/partners/transporters/login. You can also send the token as an access_token query parameter or body field.

Path parameters

tripIdintegerRequired
Trip id.

Request

This endpoint expects an object.
driver_idintegerRequired
A driver from list your drivers.

Response

Success
statusinteger
msgstring
msgslist of strings
dataobject

Errors

401
Unauthorized Error
404
Not Found Error
409
Conflict Error
412
Precondition Failed Error
429
Too Many Requests Error